{
    "name": "drupal-composer/drupal-project",
    "description": "Project template for Drupal 8 projects with composer",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "authors": [{
        "name": "",
        "role": ""
    }],
    "repositories": [{
        "type": "composer",
        "url": "https://packages.drupal.org/8"
    }],
    "require": {
        "php": ">=7.0.8",
        "composer/installers": "^1.2",
        "cweagans/composer-patches": "^1.6.5",
        "drupal/admin_toolbar": "^2.0",
        "drupal/allowed_formats": "^1.2",
        "drupal/conditional_fields": "^1.0@alpha",
        "drupal/console": "^1.0.2",
        "drupal/context": "^4.0@beta",
        "drupal/core": "^8.8.0",
        "drupal/core-composer-scaffold": "^8.8.0",
        "drupal/devel": "^2.1",
        "drupal/field_group": "^3.0",
        "drupal/geolocation": "^1.11",
        "drupal/inline_entity_form": "^1.0@RC",
        "drupal/maxlength": "^1.0@beta",
        "drupal/metatag": "^1.11",
        "drupal/panels": "^4.4",
        "drupal/paragraphs": "^1.11",
        "drupal/paragraphs_enhancements": "1.x-dev",
        "drupal/pathauto": "^1.6",
        "drupal/redirect": "^1.5",
        "drupal/s3fs": "^3.0@alpha",
        "drupal/scheduler": "~1.0",
        "drupal/scheduler_content_moderation_integration": "~1.0",
        "drupal/search_api": "^1.15",
        "drupal/shs": "^1.0@alpha",
        "drush/drush": "^9.7.1 | ^10.0.0",
        "mikehaertl/phpwkhtmltopdf": "^2.4",
        "vlucas/phpdotenv": "^4.0",
        "webflo/drupal-finder": "^1.0.0",
        "zaporylie/composer-drupal-optimizations": "^1.0"
    },
    "require-dev": {
        "drupal/core-dev": "^8.8.0"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "sort-packages": true
    },
    "autoload": {
        "classmap": [
            "scripts/composer/ScriptHandler.php"
        ],
        "files": ["load.environment.php"]
    },
    "scripts": {
        "pre-install-cmd": [
            "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
        ],
        "pre-update-cmd": [
            "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
        ],
        "post-install-cmd": [
            "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
        ],
        "post-update-cmd": [
            "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
        ]
    },
    "extra": {
        "composer-exit-on-patch-failure": true,
        "patchLevel": {
            "drupal/core": "-p2"
        },
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            }
        },
        "patches": {
            "drupal/paragraphs_enhancements": {
                "Allow Enhancements to use Modal mode": "./patches/paragraph-enhancement.patch"
            }
        },
        "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/contrib/{$name}": ["type:drupal-module"],
            "web/profiles/contrib/{$name}": ["type:drupal-profile"],
            "web/themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/Commands/contrib/{$name}": ["type:drupal-drush"]
        }
    }
}
